# This is in a pull request to the full devise gem,
# we may be able to remove it in the future
#
# https://github.com/plataformatec/devise/pull/2192
module ActionDispatch::Routing
  class SslConstraint
    def self.matches?(request)
      request.ssl?
    end
  end

  class Mapper
    def secured &block
      if Rails.env.development?
        yield
      else
        constraints SslConstraint, &block
      end
    end
  end
end
